/**
 * 旧式HTMLをスマートフォン向けに最適化する
 * 
 * HEADタグの中に<script src="./smartframe.js" charset="utf-8"></script>を追記してください
 * パラメータ設定がキャッシュが残って更新されない場合があります。
 * この場合は<script src="./smartframe.js?d=1" charset="utf-8"></script>のように適当なパラメータを付けてください
 **/ 
function SmartStyleAdjust(){
	/* パラメータ設定ここから */
	this.frameMenuLimit = 1/3; // 画面幅（高さ）に占めるフレーム幅（高さ）がこの割合以上ならメニューボタン化する。0にすると常時メニュー化
	this.enableMenuArea = true; // メニューボタン用のスペースを確保する場合true。falseの場合コンテンツと被る可能性あり
	this.frameAutoHeight = false; // フレームの高さを中身に合わせて自動調整する。あまり当てにならない
	this.frameBorderSize = 3; // フレーム枠幅(pixel) 指定が無い場合のデフォルト
	this.frameButtonSize = 32; // フレームオープンボタンサイズ(pixel)
	this.frameButtonMargin1 = 3; // フレームオープンボタンマージン1(pixel) フレーム枠からの距離
	this.frameButtonMargin2 = 3; // フレームオープンボタンマージン2(pixel) 画面端からの距離
	this.framePercentBase = 1024; // フレームサイズが%指定された時の基準画面サイズ(pixel)
	this.frameAdjustImage = true; // 画像サイズを調整
	this.frameAdjustTable = true; // テーブルサイズを調整
	this.onlySmartPhone = true; // スマートフォンの時だけ使用する
	this.disableCache = false; // リンクのキャッシュを無効にする（false推奨）
	/* パラメータ設定ここまで */
	
	this.scriptName = "";
	this.scriptSrc = "";
	this.btnMenu = null;
	this.screenWidth = 0;
	this.screenHeight = 0;
	this.lastAspect = 0;
	this.iframeElement1;
	this.iframeElement2;
	this.framePos = 0; // 0=left, 1=right, 2=top, 3=bottom
	this.frameSize = "";
	this.frameOpened = false;
	this.buttonText = [
		[">>","<<"], // 左フレーム
		["<<",">>"], // 右フレーム
		["▼","▲"], // 上フレーム
		["▲","▼"], // 下フレーム
	];
	
	this.isSmartPhone = function(){
		if (navigator.userAgent.match(/iPhone|iPad|Android.+Mobile/)) {
			return true;
		} else {
			return false;
		}
	}
	var _frameLoadStart = (function(me) { return function(){me.frameLoadStart();}; })(this);
	this.frameLoadStart = function(){
		this.frameOpened = false;
		this.adjustLayout();
	}
	var _clickMenu = (function(me) { return function(){me.clickMenu();}; })(this);
	this.clickMenu = function(){
		this.frameOpened = !this.frameOpened;
		this.adjustLayout();
	}
	this.ifadjustCSS = function(){
		var iframeElement = this;
		try{
			head = iframeElement.contentWindow.document.head || iframeElement.contentWindow.document.getElementsByTagName('head')[0];
			var skipAddScript = false;
			var scripts = iframeElement.contentWindow.document.getElementsByTagName('script');
			for(var i=0;i<scripts.length;i++){
				if(scripts[i].src.indexOf(smartStyleAdjust.scriptName) >= 0){
					skipAddScript = true;
					break;
				}
			}
			if(!skipAddScript){
				scriptParams = iframeElement.contentWindow.document.createElement('script');
				scriptParams.charset = "utf-8";
				scriptParams.innerHTML = "" +
					"smartStyleAdjust_frameMenuLimit = "     + smartStyleAdjust.frameMenuLimit + ";" +
					"smartStyleAdjust_enableMenuArea = "     + smartStyleAdjust.enableMenuArea + ";" +
					"smartStyleAdjust_frameAutoHeight = "    + smartStyleAdjust.frameAutoHeight  + ";" +
					"smartStyleAdjust_frameBorderSize = "    + smartStyleAdjust.frameBorderSize  + ";" +
					"smartStyleAdjust_frameButtonSize = "    + smartStyleAdjust.frameButtonSize  + ";" +
					"smartStyleAdjust_frameButtonMargin1 = " + smartStyleAdjust.frameButtonMargin1 + ";" +
					"smartStyleAdjust_frameButtonMargin2 = " + smartStyleAdjust.frameButtonMargin2 + ";" +
					"smartStyleAdjust_framePercentBase = "   + smartStyleAdjust.framePercentBase + ";" +
					"smartStyleAdjust_frameAdjustImage = "   + smartStyleAdjust.frameAdjustImage + ";" +
					"smartStyleAdjust_frameAdjustTable = "   + smartStyleAdjust.frameAdjustTable + ";" +
					"smartStyleAdjust_onlySmartPhone = "     + smartStyleAdjust.onlySmartPhone + ";" +
					"smartStyleAdjust_disableCache = "       + smartStyleAdjust.disableCache + ";" +
					"smartStyleAdjust_initImmediate = true;";
				head.appendChild(scriptParams);
				scriptMain = iframeElement.contentWindow.document.createElement('script');
				scriptMain.charset = "utf-8";
				scriptMain.src = smartStyleAdjust.scriptSrc;
				head.appendChild(scriptMain);
			}
		}catch(ex){
		}
		if(smartStyleAdjust.frameAdjustImage){
			try{
				head = iframeElement.contentWindow.document.head || iframeElement.contentWindow.document.getElementsByTagName('head')[0];
				spmeta = iframeElement.contentWindow.document.createElement('meta');
				spmeta.name = "viewport";
				spmeta.content = "width=device-width, user-scalable=yes, initial-scale=1";
				head.appendChild(spmeta);
				spstyle = iframeElement.contentWindow.document.createElement('style');
				spstyle.type = 'text/css';
				var css = "img {max-width:100%;height:auto;margin-left:0px;margin-right:0px;padding-left:0px;padding-right:0px;} div, table{max-width:100%;}";
				if (spstyle.styleSheet){
					spstyle.styleSheet.cssText = css;
				} else {
					spstyle.appendChild(iframeElement.contentWindow.document.createTextNode(css));
				}
				head.appendChild(spstyle);
			}catch(ex){
			}
		}
		if(smartStyleAdjust.frameAdjustTable){
			try{
				var tables = iframeElement.contentWindow.document.getElementsByTagName('table');
				for(var i=0;i<tables.length;i++){
					var tmpHTML = tables[i].outerHTML;
					tables[i].outerHTML = '<div style="max-width:100%;overflow:auto;">'+tmpHTML+'</div>';
				}
			}catch(ex){
			}
		}
		if(smartStyleAdjust.framePos % 2 == 0){
			if(iframeElement==smartStyleAdjust.iframeElement2){
				iframeElement.contentWindow.onunload = _frameLoadStart;
			}
		}else{
			if(iframeElement==smartStyleAdjust.iframeElement1){
				iframeElement.contentWindow.onunload = _frameLoadStart;
			}
		}
	}
	var _ifadjustLayout = (function(me) { return function(){me.ifadjustLayout();}; })(this);
	this.ifadjustLayout = function(){
		var framePos = this.framePos;
		var frameSize = this.frameSize;
		var menuEnable = false;
		var updateAspect = (parseInt(window.innerWidth/window.innerHeight*2) != parseInt(this.lastAspect*2));
		var screenWidth = window.innerWidth;
		var screenHeight = window.innerHeight;
		this.lastAspect = window.innerWidth/window.innerHeight;
		this.screenWidth = screenWidth;
		this.screenHeight = screenHeight;
		if(framePos==0 || framePos==1){
			menuEnable = (this.frameMenuLimit < parseInt(frameSize) / screenWidth);
		}else{
			menuEnable = (this.frameMenuLimit < parseInt(frameSize) / screenHeight);
		}
		if(menuEnable){
			this.frameOpened = false;
		}
		_adjustLayout();
	}
	var _adjustLayout = (function(me) { return function(){me.adjustLayout();}; })(this);
	this.adjustLayout = function(){
		var framePos = this.framePos;
		var frameSize = this.frameSize;
		var iframeElement1 = this.iframeElement1;
		var iframeElement2 = this.iframeElement2;
		var updateAspect = (parseInt(window.innerWidth/window.innerHeight*2) != parseInt(this.lastAspect*2));
		var screenWidth = window.innerWidth;
		var screenHeight = window.innerHeight;
		this.lastAspect = window.innerWidth/window.innerHeight;
		this.screenWidth = screenWidth;
		this.screenHeight = screenHeight;
		var frameSizeCSS;
		var menuEnable = false;
		if(framePos==0 || framePos==1){
			if(parseInt(frameSize) > screenWidth - (this.frameButtonSize + this.frameButtonMargin1)){
				frameSize = screenWidth - (this.frameButtonSize + this.frameButtonMargin1);
			}
			menuEnable = (this.frameMenuLimit < parseInt(frameSize) / screenWidth);
		}else{
			if(this.frameAutoHeight){
				try{
					if(framePos==2){
						iframeElement1.style.height = "1px"
						if(iframeElement1.contentWindow && iframeElement1.contentWindow.document.body.scrollHeight) {
							var ifstyle = getComputedStyle(iframeElement1.contentWindow.document.body);
							frameSize = iframeElement1.contentWindow.document.body.scrollHeight + parseInt("0"+ifstyle.marginTop) + parseInt("0"+ifstyle.marginBottom) + this.frameBorderSize;
						}
					}else{
						iframeElement2.style.height = "1px"
						if(iframeElement2.contentWindow && iframeElement2.contentWindow.document.body.scrollHeight) {
							var ifstyle = getComputedStyle(iframeElement2.contentWindow.document.body);
							frameSize = iframeElement2.contentWindow.document.body.scrollHeight + parseInt("0"+ifstyle.marginTop) + parseInt("0"+ifstyle.marginBottom) + this.frameBorderSize;
						}
					}
				}catch(ex){
				}
			}
			if(parseInt(frameSize) > screenHeight - (this.frameButtonSize + this.frameButtonMargin1)){
				frameSize = screenHeight - (this.frameButtonSize + this.frameButtonMargin1);
			}
			menuEnable = (this.frameMenuLimit < parseInt(frameSize) / screenHeight);
		}
		if(menuEnable){
			this.btnMenu.style.display = "inline-block";
		}else{
			this.btnMenu.style.display = "none";
			this.frameOpened = true;
		}
		if(this.frameOpened){
			frameSizeCSS = frameSize+"px";
		}else{
			frameSizeCSS = "0px";
			frameSize = 0;
		}
		var frameSizeInt = parseInt(frameSize);
		var frameSizeRevCSS;
		if(framePos==0 || framePos==1){
			frameSizeRevCSS = (screenWidth - frameSizeInt)+"px";
		}else{
			frameSizeRevCSS = (screenHeight - frameSizeInt)+"px";
		}
		if(framePos % 2 == 1){
			var temp = frameSizeCSS;
			frameSizeCSS = frameSizeRevCSS;
			frameSizeRevCSS = temp;
		}
		if(framePos==0 || framePos==1){
			// 左右
			iframeElement1.style.position = "fixed";
			iframeElement1.style.top = "0px";
			iframeElement1.style.height = screenHeight+"px"
			if(menuEnable && framePos % 2 == 1){
				iframeElement1.style.left = "0px";
				iframeElement1.style.width = screenWidth+"px";
			}else{
				iframeElement1.style.left = "0px";
				iframeElement1.style.width = frameSizeCSS;
			}
			iframeElement1.style.boxSizing = "border-box";
			iframeElement2.style.position = "fixed";
			iframeElement2.style.top = "0px";
			iframeElement2.style.height = screenHeight+"px"
			if(menuEnable && framePos % 2 == 0){
				iframeElement2.style.left = "0px";
				iframeElement2.style.width = screenWidth+"px";
			}else{
				iframeElement2.style.left = frameSizeCSS;
				iframeElement2.style.width = frameSizeRevCSS;
			}
			iframeElement2.style.boxSizing = "border-box";
			if(framePos==0){
				iframeElement1.style.borderRight = this.frameOpened ? this.frameBorderSize+"px solid #808080" : "0";
				if(menuEnable && this.enableMenuArea) iframeElement2.style.paddingTop = (this.frameButtonSize + this.frameButtonMargin1+3)+"px"; else iframeElement2.style.paddingTop = 0;
			}else{
				iframeElement2.style.borderLeft = this.frameOpened ? this.frameBorderSize+"px solid #808080" : "0";
				if(menuEnable && this.enableMenuArea) iframeElement1.style.paddingTop = (this.frameButtonSize + this.frameButtonMargin1+3)+"px"; else iframeElement1.style.paddingTop = 0;
			}
		}else if(framePos==2 || framePos==3){
			// 上下
			iframeElement1.style.position = "fixed";
			if(menuEnable && framePos % 2 == 1){
				iframeElement1.style.top = "0px";
				iframeElement1.style.height = screenHeight+"px";
			}else{
				iframeElement1.style.top = "0px";
				iframeElement1.style.height = frameSizeCSS;
			}
			iframeElement1.style.left = "0px";
			iframeElement1.style.width = screenWidth+"px"
			iframeElement1.style.boxSizing = "border-box";
			iframeElement2.style.position = "fixed";
			if(menuEnable && framePos % 2 == 0){
				iframeElement2.style.top = "0px";
				iframeElement2.style.height = screenHeight+"px";
			}else{
				iframeElement2.style.top = frameSizeCSS;
				iframeElement2.style.height = frameSizeRevCSS
			}
			iframeElement2.style.left = "0px";
			iframeElement2.style.width = screenWidth+"px"
			iframeElement2.style.boxSizing = "border-box";
			if(framePos==2){
				iframeElement1.style.borderBottom = this.frameOpened ? this.frameBorderSize+"px solid #808080" : "0";
				if(menuEnable && this.enableMenuArea) iframeElement2.style.paddingTop = (this.frameButtonSize + this.frameButtonMargin1+3)+"px"; else iframeElement2.style.paddingTop = 0;
			}else{
				iframeElement2.style.borderTop = this.frameOpened ? this.frameBorderSize+"px solid #808080" : "0";
				if(menuEnable && this.enableMenuArea) iframeElement1.style.paddingBottom = (this.frameButtonSize + this.frameButtonMargin1+3)+"px"; else iframeElement1.style.paddingBottom = 0;
			}
		}
		if(menuEnable){
			this.btnMenu.value = this.buttonText[framePos][this.frameOpened ? 1 : 0];
			if(framePos==0){
				this.btnMenu.style.left = frameSizeCSS;
				this.btnMenu.style.top = "0px";
			}else if(framePos==1){
				this.btnMenu.style.right = frameSizeRevCSS;
				this.btnMenu.style.top = "0px";
			}else if(framePos==2){
				this.btnMenu.style.right = "0px";
				this.btnMenu.style.top = frameSizeCSS;
			}else if(framePos==3){
				this.btnMenu.style.right = "0px";
				this.btnMenu.style.bottom = frameSizeRevCSS;
			}
		}
	}
	this.initialize = function(){
		var scripts = document.getElementsByTagName("script");
		var curscript = scripts[scripts.length-1];
		if(curscript != null){
			if(curscript.src.substring(0,1)=="/" || curscript.src.substring(0,5)=="http:" || curscript.src.substring(0,6)=="https:"){
				this.scriptSrc = curscript.src;
			}else{
				this.scriptSrc = location.href.substring(0, location.href.lastIndexOf("/")+1) + curscript.src;
			}
			var scriptNameTemp = this.scriptSrc.split("/");
			this.scriptName = scriptNameTemp[scriptNameTemp.length-1];
		}else{
			this.scriptName = "";
		}
		head = document.head || document.getElementsByTagName('head')[0];
		spmeta = document.createElement('meta');
		spmeta.name = "viewport";
		spmeta.content = "width=device-width, user-scalable=yes, initial-scale=1";
		head.appendChild(spmeta);
		spstyle = document.createElement('style');
		spstyle.type = 'text/css';
		var css = "img {max-width:100%;height:auto;margin-left:0px;margin-right:0px;padding-left:0px;padding-right:0px;} div{max-width:100%;}";
		if (spstyle.styleSheet){
			spstyle.styleSheet.cssText = css;
		} else {
			spstyle.appendChild(document.createTextNode(css));
		}
		head.appendChild(spstyle);
	}
	this.onload = function(){
		frameset = document.getElementsByTagName('frameset')[0];
		if(frameset){
			var framePos = 0; // 0=left, 1=right, 2=top, 3=bottom
			var frameSize = "";
			var frameSrc = ["",""];
			var frameName = ["",""];
			if(frameset.rows){
				// 上下
				framePos += 2;
				var rows = frameset.rows.split(',');
				if(rows[1].trim()=='*'){
					// 上
					frameSize = rows[0].trim();
				}else if(rows[0].trim()=='*'){
					// 下
					framePos++;
					frameSize = rows[1].trim();
				}else{
					var val0 = parseInt(rows[0].trim());
					var val1 = parseInt(rows[1].trim());
					if(val0 < val1){
						// 上
						frameSize = rows[0].trim();
					}else{
						// 下
						framePos++;
						frameSize = rows[1].trim();
					}
					if(frameSize.slice(-1)!="%"){
						frameSize += "%";
					}
				}
			}else{
				// 左右
				var cols = frameset.cols.split(',');
				if(cols[1].trim()=='*'){
					// 左
					frameSize = cols[0].trim();
				}else if(cols[0].trim()=='*'){
					// 右
					framePos++;
					frameSize = cols[1].trim();
				}else{
					var val0 = parseInt(cols[0].trim());
					var val1 = parseInt(cols[1].trim());
					if(val0 < val1){
						// 左
						frameSize = cols[0].trim();
					}else{
						// 右
						framePos++;
						frameSize = cols[1].trim();
					}
					if(frameSize.slice(-1)!="%"){
						frameSize += "%";
					}
				}
			}
			if(frameset.border){
				this.frameBorderSize = paeseInt(frameset.border);
			}
			var frameBorderAttr = frameset.getAttribute("frameBorder","1");
			if(frameBorderAttr=="0" || frameBorderAttr=="NO" || frameBorderAttr=="no" || frameBorderAttr=="No"){
				this.frameBorderSize = 0;
			}
			if(frameSize.slice(-1)=="%"){
				frameSize = parseInt(frameSize) * this.framePercentBase / 100;
			}else{
				frameSize = parseInt(frameSize);
			}
			var childNodes = frameset.children;
			var idx = 0;
			for(var i=0;i<childNodes.length&&idx<2;i++){
				if(childNodes[i].tagName.toUpperCase()=="FRAME"){
					frameSrc[i] = childNodes[i].src;
					frameName[i] = childNodes[i].name;
					idx++;
				}
			}
			var html = document.html || document.getElementsByTagName('html')[0];
			html.style.height = "100%";
			html.style.margin = "0";
			html.style.padding = "0";
			var bodyElement = document.createElement("body");
			bodyElement.style.height = "100%";
			bodyElement.style.margin = "0";
			bodyElement.style.padding = "0";
			bodyElement.style.overflow = "hidden";
			var divElement = document.createElement("div");
			divElement.style.width = "100%";
			divElement.style.height = "100%";
			divElement.style.margin = "0";
			divElement.style.padding = "0";
			divElement.style.position = "relative";
			var iframeElement1 = document.createElement("iframe");
			var iframeElement2 = document.createElement("iframe");
			iframeElement1.name = frameName[0];
			iframeElement2.name = frameName[1];
			iframeElement1.style.border = "0";
			iframeElement2.style.border = "0";
			iframeElement1.style.backgroundColor = "white";
			iframeElement2.style.backgroundColor = "white";
			this.iframeElement1 = iframeElement1;
			this.iframeElement2 = iframeElement2;
			this.framePos = framePos;
			this.frameSize = frameSize;
			if(framePos % 2 == 0){
				divElement.appendChild(iframeElement2);
				divElement.appendChild(iframeElement1);
			}else{
				divElement.appendChild(iframeElement1);
				divElement.appendChild(iframeElement2);
			}
			this.btnMenu = document.createElement("input");
			this.btnMenu.type = "button";
			this.btnMenu.style.position = "absolute";
			this.btnMenu.style.width = this.frameButtonSize+"px";
			this.btnMenu.style.height = this.frameButtonSize+"px";
			this.btnMenu.style.opacity = "0.7";
			if(framePos==0 || framePos==1){
				this.btnMenu.style.marginTop = this.btnMenu.style.marginBottom = this.frameButtonMargin2+"px";
				this.btnMenu.style.marginLeft = this.btnMenu.style.marginRight = this.frameButtonMargin1+"px";
			}else{
				this.btnMenu.style.marginTop = this.btnMenu.style.marginBottom = this.frameButtonMargin1+"px";
				this.btnMenu.style.marginLeft = this.btnMenu.style.marginRight = this.frameButtonMargin2+"px";
			}
			this.btnMenu.style.boxSizing = "border-box";
			this.btnMenu.addEventListener('click', _clickMenu, false);
			divElement.appendChild(this.btnMenu);
			bodyElement.appendChild(divElement);
			var menuEnable = false;
			var updateAspect = (parseInt(window.innerWidth/window.innerHeight*2) != parseInt(this.lastAspect*2));
			var screenWidth = updateAspect || this.screenWidth < window.innerWidth ? window.innerWidth : this.screenWidth;
			var screenHeight = updateAspect || this.screenWidth < window.innerHeight ? window.innerHeight : this.screenHeight;
			this.lastAspect = window.innerWidth/window.innerHeight;
			this.screenWidth = screenWidth;
			this.screenHeight = screenHeight;
			if(framePos==0 || framePos==1){
				menuEnable = (this.frameMenuLimit < parseInt(frameSize) / screenWidth);
			}else{
				menuEnable = (this.frameMenuLimit < parseInt(frameSize) / screenHeight);
			}
			if(menuEnable){
				this.frameOpened = false;
			}
			this.adjustLayout();
			document.body = bodyElement;
			window.addEventListener('resize', function(){_adjustLayout();setTimeout(_adjustLayout,100);}, false);
			if(framePos % 2 == 0){
				this.iframeElement1.addEventListener('load', _adjustLayout, false);
				this.iframeElement2.addEventListener('load', _ifadjustLayout, false);
				try{
					this.iframeElement2.contentWindow.addEventListener('resize', _ifadjustLayout, false);
				}catch(ex){
				}
			}else{
				this.iframeElement1.addEventListener('load', _ifadjustLayout, false);
				this.iframeElement2.addEventListener('load', _adjustLayout, false);
				try{
					this.iframeElement1.contentWindow.addEventListener('resize', _ifadjustLayout, false);
				}catch(ex){
				}
			}
			this.iframeElement1.addEventListener('load', smartStyleAdjust.ifadjustCSS, false);
			this.iframeElement2.addEventListener('load', smartStyleAdjust.ifadjustCSS, false);
			this.iframeElement1.src = frameSrc[0];
			this.iframeElement2.src = frameSrc[1];
		}else{
			var tables = document.getElementsByTagName('table');
			for(var i=0;i<tables.length;i++){
				var tmpHTML = tables[i].outerHTML;
				tables[i].outerHTML = '<div style="max-width:100%;overflow:auto;">'+tmpHTML+'</div>';
			}
		}
		if(smartStyleAdjust.disableCache){
			var timetmp = parseInt(new Date().getTime()/10000); // 10 sec
			alist = document.getElementsByTagName('a');
			for(var i=0;i<alist.length;i++){
				if(alist[i].href){
					var hasparam = (alist[i].href.indexOf("?")>=0);
					alist[i].href = hasparam ? alist[i].href+"&dmyp="+timetmp : alist[i].href+"?dmyp="+timetmp;
				}
			}
			iflist = document.getElementsByTagName('iframe');
			for(var i=0;i<iflist.length;i++){
				if(iflist[i].src){
					var hasparam = (iflist[i].src.indexOf("?")>=0);
					iflist[i].src = hasparam ? iflist[i].src+"&dmyp="+timetmp : iflist[i].src+"?dmyp="+timetmp;
				}
			}
			timetmp = parseInt(new Date().getTime()/600000/30); // 30 min 
			imglist = document.getElementsByTagName('img');
			for(var i=0;i<imglist.length;i++){
				if(imglist[i].src){
					var hasparam = (imglist[i].src.indexOf("?")>=0);
					imglist[i].src = hasparam ? imglist[i].src+"&dmyp="+timetmp : imglist[i].src+"?dmyp="+timetmp;
				}
			}
		}
	}
}

var smartStyleAdjust = new SmartStyleAdjust();

if(typeof(smartStyleAdjust_frameMenuLimit    ) !== 'undefined') smartStyleAdjust.frameMenuLimit     = smartStyleAdjust_frameMenuLimit;
if(typeof(smartStyleAdjust_enableMenuArea    ) !== 'undefined') smartStyleAdjust.enableMenuArea     = smartStyleAdjust_enableMenuArea;
if(typeof(smartStyleAdjust_frameAutoHeight   ) !== 'undefined') smartStyleAdjust.frameAutoHeight    = smartStyleAdjust_frameAutoHeight;
if(typeof(smartStyleAdjust_frameBorderSize   ) !== 'undefined') smartStyleAdjust.frameBorderSize    = smartStyleAdjust_frameBorderSize;
if(typeof(smartStyleAdjust_frameButtonSize   ) !== 'undefined') smartStyleAdjust.frameButtonSize    = smartStyleAdjust_frameButtonSize;
if(typeof(smartStyleAdjust_frameButtonMargin1) !== 'undefined') smartStyleAdjust.frameButtonMargin1 = smartStyleAdjust_frameButtonMargin1;
if(typeof(smartStyleAdjust_frameButtonMargin2) !== 'undefined') smartStyleAdjust.frameButtonMargin2 = smartStyleAdjust_frameButtonMargin2;
if(typeof(smartStyleAdjust_framePercentBase  ) !== 'undefined') smartStyleAdjust.framePercentBase   = smartStyleAdjust_framePercentBase;
if(typeof(smartStyleAdjust_frameAdjustImage  ) !== 'undefined') smartStyleAdjust.frameAdjustImage   = smartStyleAdjust_frameAdjustImage;
if(typeof(smartStyleAdjust_frameAdjustTable  ) !== 'undefined') smartStyleAdjust.frameAdjustTable   = smartStyleAdjust_frameAdjustTable;
if(typeof(smartStyleAdjust_onlySmartPhone    ) !== 'undefined') smartStyleAdjust.onlySmartPhone     = smartStyleAdjust_onlySmartPhone;
if(typeof(smartStyleAdjust_disableCache      ) !== 'undefined') smartStyleAdjust.disableCache       = smartStyleAdjust_disableCache;

if(!smartStyleAdjust.onlySmartPhone || smartStyleAdjust.isSmartPhone()){
	smartStyleAdjust.initialize();
	if(typeof(smartStyleAdjust_initImmediate) !== 'undefined'){
		smartStyleAdjust.onload();
	}else{
		if(window.addEventListener)
		{
			window.addEventListener('load', function(){smartStyleAdjust.onload();}, false);
		}
	}
}
